THE PROBLEM

When running this command:

virtualenv --no-site-packages env -p python3.4

You got this:

Failed to import the site module
ERROR: virtualenv is not compatible with this system or executable

THE SOLUTION:

sudo pip install --upgrade virtualenv